Subject: RE: FW: Does cygwin tool kit Support threads
From: "Anjani Prasad Achanta" <[email-masked]>
To: "'Robert Collins'" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 28 Jul 2001 00:36:21 -0400

I didn't find socket.h include file and no libsocket library in
the standard directories (I mean /usr/include and /usr/lib) Moreover no
man pages for socket functions. 
	But I have pthread include file - not thread library. So this
also doesn't work. 
	So obviously when I compile, gcc says couldn't find socket.h
file. 
	Is the standard UNIX directory format followed in cygwin? 

Anjani Prasad 

On 28 Jul 2001 00:09:51 -0400, Anjani Prasad Achanta wrote:
> Rob, 
> 	As I mailed earlier I wish to compile some programs which
> involve usage of threads and sockets. But in the version I installed
> doesn't seem to support these, I had the latest and complete
> installation from site.
> Which library should I use to compile socket programs - I couldn't
find
> libsocket library in /usr/lib.

No special library is needed for sockets or pthread support.
 
>     What else should I have to install for this? I am using a PIII
> machine running Windows Me. 
>      My installation procedure - I downloaded setup.exe and downloaded
> everything from net (DLL version 1.3.2). What all is covered in this -
> only UNIX utilities or all development system related libraries and
> tools. I've seen gcc and gdb etc in the software. I am able to compile
> and run simple C programs.  
> 	Am I missing something?

Unlikely, if you installed everything. What error message do you get?

Rob

> On 27 Jul 2001 19:27:06 -0400, Anjani Prasad Achanta wrote:
> > 
> > Hi
> >  I am new to cygwin. I installed the latest version of cygwin
toolkit
> > from redhat site today - complete installation. But I am not able to
> use
> > sockets and threads. No man pages are also available for the same.
> Does
> > cygwin come with threads and socket libraries by default or do I
need
> to
> > install any other packages for this. 
> >   I am using this toolkit on a Windows Me OS.
> 
> threads and sockets are supported. You are not providing _any_ detail
> about what you are trying to do, so it's quite hard to help you.
> 
> Rob
> 
> > 
> > Thanks in Advance 
> > Anjani Prasad 
> > 
> > 
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> > 
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/